<template>
  <div class="flex flex-col items-center gap-8 pt-10 pb-[500px]">
    <p class="text-7xl">Svn Ui Library - Basics</p>

    <div class="flex flex-col items-center gap-4">
      <!-- Svn Navbars  -->
      <p class="text-2xl">Svn Navbars</p>
      <div class="flex flex-col gap-4">
        <svn-navbar
          :app-name="theme.global.name.value"
          :items="menuItems"
          :user-avatar="null"
          :user-company-logo="null"
        />
      </div>

      <!-- Svn Menus  -->
      <div class="flex flex-col items-center gap-4">
        <p class="text-2xl">Svn Menus</p>
        <p class="text-2xl">Basics</p>
        <div class="flex flex-col gap-4">
          <svn-navbar-menu variant="modal" :items="menuItems" />

          <svn-navbar-menu variant="select" :items="menuItems" />

          <svn-navbar-menu variant="navbar" :items="menuItems" />
        </div>
      </div>

      <!-- Svn Floating Action Button  -->
      <div class="flex flex-col items-center gap-4">
        <p class="text-2xl">Svn Floating Action Button</p>

        <div class="flex items-center justify-center gap-4">
          <!-- Default -->
          <svn-floating-action-button default />

          <!-- Square -->
          <svn-floating-action-button square />

          <!-- Round -->
          <svn-floating-action-button round />

          <!-- Square -->
          <svn-floating-action-button square mini />

          <!-- Round -->
          <svn-floating-action-button round mini />
        </div>
      </div>

      <!-- Svn Dots Button  -->
      <div class="flex flex-col items-center gap-4">
        <p class="text-2xl">Svn Dots Button</p>

        <svn-dots-button>
          <template #items>
            <v-list-item class="cursor-pointer hover:bg-neutral-300">
              <svn-dialog-skeleton bind />
            </v-list-item>

            <v-list-item class="cursor-pointer hover:bg-neutral-300">
              BOOOO
            </v-list-item>
          </template>
        </svn-dots-button>
      </div>

      <!-- Svn Button  -->
      <div class="flex flex-col items-center gap-4">
        <p class="text-2xl">Svn Button</p>
        <div class="flex flex-wrap gap-1 justify-center">
          <svn-button />
          <svn-button loading />
          <svn-button variant="outlined" />
          <svn-button variant="outlined" loading />
          <svn-button variant="plain" />
          <svn-button variant="plain" loading />
          <svn-button danger />
          <svn-button danger loading />
        </div>
      </div>

      <!-- Svn Icon Button  -->
      <div class="flex flex-col items-center gap-4">
        <p class="text-2xl">Svn Icon Button</p>

        <div class="flex gap-1 flex-wrap">
          <svn-icon-button buttonSize="lg" />
          <svn-icon-button />
          <svn-icon-button disable />
          <svn-icon-button variant="outlined" buttonSize="lg" />
          <svn-icon-button variant="outlined" buttonSize="lg" circle />
          <svn-icon-button variant="outlined" />
          <svn-icon-button variant="outlined" disable />
          <svn-icon-button variant="plain" buttonSize="lg" />
          <svn-icon-button variant="plain" />
          <svn-icon-button variant="plain" disable />
          <svn-icon-button danger buttonSize="lg" />
          <svn-icon-button danger />
          <svn-icon-button disable />
        </div>
      </div>

      <!-- Svn Loader  -->
      <div class="flex flex-col items-center gap-4">
        <p class="text-2xl">Svn Loader</p>

        <div class="flex gap-1 items-center">
          <svn-loader loadingSize="xl" />
          <svn-loader loadingSize="lg" />
          <svn-loader loadingSize="md" />
          <svn-loader loadingSize="xs" />
        </div>
      </div>

      <!-- Svn Tooltip  -->
      <div class="flex flex-col items-center gap-4">
        <p class="text-2xl">Svn Tooltip</p>

        <svn-tooltip>
          <template #activator-content>
            <svn-icon-button />
          </template>

          <template #tooltip-content>
            Lorem ipsum dolor sit amet consectetur. Urna mattis ut posuere arcu
            massa mauris eget penatibus nibh. Et massa sed pretium elementum.
          </template>
        </svn-tooltip>
      </div>

      <!-- Svn Dialog ManagePeople  -->
      <div class="flex flex-col items-center gap-4">
        <p class="text-2xl">Svn Dialog Manage People</p>

        <svn-modal-manage-people
          activator-text="Open Modal"
          activator-variant="plain"
          :search-users="mockUsers"
          modal-custom-class="!w-[585px]"
        />
      </div>

      <!-- Svn Title  -->
      <div class="flex flex-col items-center gap-4">
        <p class="text-2xl">Svn Title</p>

        <div class="flex flex-col gap-1">
          <!-- H1 -->
          <div class="flex gap-2 items-center">
            Titre H1
            <svn-title h1 color="primary">Titre h1</svn-title>
            <svn-title h1 bold color="primary">Titre h1 bold</svn-title>
            <svn-title h1 italic color="primary">Titre h1 italic</svn-title>
            <svn-title h1 bold italic color="primary"
              >Titre h1 bold italic</svn-title
            >
          </div>

          <!-- H2 -->
          <div class="flex gap-2 items-center">
            Titre H2
            <svn-title h2 color="primary">Titre h2</svn-title>
            <svn-title h2 bold color="primary">Titre h2 bold</svn-title>
            <svn-title h2 italic color="primary">Titre h2 italic</svn-title>
            <svn-title h2 bold italic color="primary"
              >Titre h2 bold italic</svn-title
            >
          </div>

          <!-- H3 -->
          <div class="flex gap-2 items-center">
            Titre H3
            <svn-title h3 color="primary">Titre h3</svn-title>
            <svn-title h3 bold color="primary">Titre h3 bold</svn-title>
            <svn-title h3 italic color="primary">Titre h3 italic</svn-title>
            <svn-title h3 bold italic color="primary"
              >Titre h3 bold italic</svn-title
            >
          </div>
        </div>
      </div>

      <!-- Svn Text  -->
      <div class="flex flex-col items-center gap-4">
        <p class="text-2xl">Svn Text</p>

        <div class="flex flex-col gap-1">
          <!-- Big Text -->
          <div class="flex gap-2 items-center">
            Text Big
            <svn-text base color="primary">Text Big</svn-text>
            <svn-text base bold color="primary">Text Big bold</svn-text>
            <svn-text base italic color="primary">Text Big italic</svn-text>
            <svn-text base bold italic color="primary"
              >Text Big bold italic</svn-text
            >
          </div>

          <!-- Classic Text -->
          <div class="flex gap-2 items-center">
            Text Classic
            <svn-text sm color="primary">Text Classic</svn-text>
            <svn-text sm bold color="primary">Text Classic bold</svn-text>
            <svn-text sm italic color="primary">Text Classic italic</svn-text>
            <svn-text sm bold italic color="primary"
              >Text Classic bold italic</svn-text
            >
          </div>

          <!-- Small Text -->
          <div class="flex gap-2 items-center">
            Text Small
            <svn-text xs color="primary">Text Small</svn-text>
            <svn-text xs bold color="primary">Text Small bold</svn-text>
            <svn-text xs italic color="primary">Text Small italic</svn-text>
            <svn-text xs bold italic color="primary"
              >Text Small bold italic</svn-text
            >
          </div>

          <!-- Very Small Text -->
          <div class="flex gap-2 items-center">
            Text Very Small
            <svn-text xxs color="primary">Text Very small</svn-text>
            <svn-text xxs bold color="primary">Text Very small bold</svn-text>
            <svn-text xxs italic color="primary"
              >Text Very small italic</svn-text
            >
            <svn-text xxs bold italic color="primary"
              >Text Very small bold italic</svn-text
            >
          </div>
        </div>
      </div>

      <!-- Svn Dropdown  -->
      <div class="flex flex-col items-center gap-4">
        <p class="text-2xl">Svn Dropdown</p>

        <div class="flex gap-1 items-center">
          <svn-dropdown :items="campaignItems" />
        </div>
      </div>

      <!-- Svn Timeline  -->
      <div class="flex flex-col items-center gap-4">
        <p class="text-2xl">Svn Timeline</p>

        <div class="flex items-center justify-center gap-4">
          <!-- studio timeline  -->
          <svn-timeline
            :items="studioItems"
            truncateLine="both"
            size="x-small"
            center-item
          >
            <template #block>
              <div class="">
                <p>Timeline item</p>
                <p>Timeline item</p>
                <p>Timeline item</p>
                <p>Timeline item</p>
                <p>Timeline item</p>
              </div>
            </template>

            <template #centerItem="{ item }">
              <v-chip
                v-if="item?.time"
                label
                color="primary"
                variant="outlined"
                elevation="1"
                class="bg-white"
              >
                <template #prepend>
                  <div class="flex items-center justify-center gap-1">
                    <div>
                      <Icon icon="mdi:timer" height="14" width="14" />
                    </div>

                    <p>{{ item?.time }} mins</p>
                  </div>
                </template>
              </v-chip>
            </template>
          </svn-timeline>

          <!-- campaign draft timeline  -->
          <svn-timeline :items="campaignItems" />
        </div>
      </div>

      <!-- Svn Modal  -->
      <div class="flex flex-col items-center gap-4">
        <p class="text-2xl">Svn Modal</p>

        <div class="flex gap-1 items-center">
          <svn-modal-skeleton
            modal-title="Modal Svn UI"
            prepend-header-icon="mdi:add"
            append-header-icon="mdi:close"
            vertical-header
          />
        </div>
      </div>

      <!-- Svn Dialog -->
      <div class="flex flex-col items-center gap-4">
        <p class="text-2xl">Svn Dialog</p>

        <div class="flex gap-1 items-center">
          <svn-dialog-skeleton
            :vertical="false"
            title="Dialog title"
            subtitle="eza"
            description="daz"
            secondary-button-text="test"
            primary-button-text="test"
            dialog-custom-class="w-[400px]"
          >
            <template #input>
              <v-text-field hide-details />
            </template>
          </svn-dialog-skeleton>
        </div>
      </div>

      <!-- Svn Profile -->
      <div class="flex flex-col items-center w-full max-w-[1000px] gap-4">
        <p class="text-2xl">Svn Profile item</p>

        <div class="w-full !border-2 border-black rounded p-4">
          <svn-profile
            app-variant="aleph"
            firstname="John"
            lastname="Doe"
            email="john.doe@email.com"
            :tags="[
              'tag short 1',
              'tag loooooooong 1',
              'tag loooooooong 1',
              'tag loooooooong 1',
              'tag loooooooong 1',
              'tag loooooooong 1',
              'tag loooooooong 1',
              'tag loooooooong 1',
              'tag loooooooong 1',
              'tag loooooooong 1',
              'tag loooooooong 1',
              'tag loooooooong 1',
              'tag loooooooong 1',
            ]"
          />
        </div>

        <div
          class="w-full !border-2 border-black rounded p-4 flex justify-center"
        >
          <svn-profile
            app-variant="studio"
            firstname="John"
            lastname="Doe"
            email="john.doe@email.com"
            role="Sevener +"
          />
        </div>

        <svn-profile-chip />

        <svn-profile-table-cell />
      </div>

      <!-- Svn Date Picker -->
      <div class="flex flex-col items-center gap-4">
        <p class="text-2xl">Svn Date Picker</p>

        <div class="w-full flex items-center justify-center gap-4">
          <svn-date-picker v-model="date" />
        </div>
      </div>

      <!-- Svn Autocomplete -->
      <div class="flex flex-col items-center gap-4">
        <p class="text-2xl">Svn Autocomplete</p>

        <div class="flex items-center justify-center gap-4">
          <svn-autocomplete multiple :items="mockUsers" />

          <svn-autocomplete
            multiple
            closable-chips
            checkbox
            :items="mockUsers"
          />

          <svn-autocomplete closable-chips chips checkbox :items="mockUsers" />
        </div>
      </div>

      <!-- Svn Index Skeleton -->
      <div class="flex flex-col items-center gap-4">
        <p class="text-2xl">Svn Index Skeleton</p>

        <svn-index-skeleton entity="roadmap_targets"></svn-index-skeleton>
      </div>

      <!-- Svn CenterContent -->
      <div class="flex flex-col items-center gap-4">
        <p class="text-2xl">
          Svn Center Content (full screen donc place prise normale)
        </p>

        <svn-center-content> Helloooo </svn-center-content>
      </div>

      <!-- Svn LoginCard -->
      <div class="flex flex-col items-center gap-4">
        <p class="text-2xl">
          Svn Login Card (même coquille pour les différentes pages du flow de
          login)
        </p>
        <div class="w-full h-full flex items-center justify-center">
          <svn-login-card class="border" :logo="logo">
            <template #box-content>
              <!-- Exemple à supprimer -->
              <div class="flex flex-col items-start w-full">
                <div class="flex flex-col items-start gap-6 w-full">
                  <div
                    class="flex flex-col items-center md:items-start justify-center gap-2 w-full"
                  >
                    <p class="text-xl font-bold text-fakeBlack">
                      Welcome on board !
                    </p>

                    <p class="text-sm font-medium text-darkGrey">
                      Please enter your email.
                    </p>
                  </div>

                  <v-text-field
                    v-model="email"
                    label="Email"
                    class="w-full"
                    type="text"
                    variant="outlined"
                    hide-details="false"
                  />

                  <v-btn
                    :height="40"
                    class="w-full normal-case"
                    color="primary"
                    theme="company"
                  >
                    Continue
                  </v-btn>
                </div>

                <div class="flex items-center gap-4 w-full my-2">
                  <v-divider
                    :thickness="2"
                    class="border-opacity-100"
                    color="info"
                  />
                  <p class="text-xs font-normal">or</p>
                  <v-divider
                    :thickness="2"
                    class="border-opacity-100"
                    color="info"
                  />
                </div>

                <google-login
                  class="w-full hover:shadow border border-dark-grey rounded cursor-pointer"
                  :callback="googleCallback"
                >
                  <div
                    class="w-full h-10 flex justify-center items-center gap-[10px]"
                  >
                    <Icon
                      icon="logos:google-icon"
                      height="18"
                      width="18"
                      class="mr-2"
                    />
                    <span class="normal-case"> Sign in with Google </span>
                  </div>
                </google-login>
              </div>
            </template>
          </svn-login-card>
        </div>
      </div>

      <!-- Svn StatusChip -->
      <div class="flex flex-col items-center gap-4">
        <p class="text-2xl">Svn Status Chip</p>
        <div class="w-full h-full flex items-center justify-center">
          <div class="grid grid-cols-4 gap-2">
            <svn-status-chip success dot />
            <svn-status-chip success />
            <svn-status-chip success flat dot />
            <svn-status-chip success flat />
            <svn-status-chip warning dot />
            <svn-status-chip warning />
            <svn-status-chip warning flat dot />
            <svn-status-chip warning flat />
            <svn-status-chip error dot />
            <svn-status-chip error />
            <svn-status-chip error flat dot />
            <svn-status-chip error flat />
            <svn-status-chip disabled dot />
            <svn-status-chip disabled />
            <svn-status-chip disabled flat dot />
            <svn-status-chip disabled flat />
            <svn-status-chip compact success dot />
            <svn-status-chip compact success />
            <svn-status-chip compact success flat dot />
            <svn-status-chip compact success flat />
            <svn-status-chip compact warning dot />
            <svn-status-chip compact warning />
            <svn-status-chip compact warning flat dot />
            <svn-status-chip compact warning flat />
            <svn-status-chip compact error dot />
            <svn-status-chip compact error />
            <svn-status-chip compact error flat dot />
            <svn-status-chip compact error flat />
            <svn-status-chip compact disabled dot />
            <svn-status-chip compact disabled />
            <svn-status-chip compact disabled flat dot />
            <svn-status-chip compact disabled flat />
          </div>
        </div>
      </div>

      <!-- Svn Switch -->
      <div class="flex flex-col items-center gap-4">
        <p class="text-2xl">Svn Switch</p>
        <div class="w-full h-full flex items-center justify-center gap-2">
          {{ status }}
          <svn-switch v-model="status" />
        </div>
      </div>
    </div>
  </div>
</template>

<script setup>
import SvnModalSkeleton from '@/components/skeleton/SvnModalSkeleton.vue';
import SvnIndexSkeleton from '@/components/skeleton/SvnIndexSkeleton.vue';
import SvnDropdown from '@/components/button/SvnDropdown.vue';
import SvnProfile from '@/components/profile/SvnProfile.vue';
import SvnTooltip from '@/components/SvnTooltip.vue';
import SvnText from '@/components/styles/SvnText.vue';
import SvnIconButton from '@/components/button/SvnIconButton.vue';
import SvnLoader from '@/components/animation/SvnLoader.vue';
import SvnDialogSkeleton from '@/components/skeleton/SvnDialogSkeleton.vue';
import SvnCenterContent from '@/components/SvnCenterContent.vue';
import SvnDotsButton from '@/components/SvnDotsButton.vue';
import SvnButton from '@/components/button/SvnButton.vue';
import SvnAutocomplete from '@/components/input/SvnAutocomplete.vue';
import SvnTimeline from '@/components/SvnTimeline.vue';
import SvnModalManagePeople from '@/components/dialog/SvnModalManagePeople.vue';
import SvnTitle from '@/components/styles/SvnTitle.vue';
import SvnFloatingActionButton from '@/components/SvnFloatingActionButton.vue';
import SvnNavbar from '@/components/navbar/SvnNavbar.vue';
import SvnDatePicker from '../components/SvnDatePicker.vue';
import SvnNavbarMenu from '@/components/navbar/SvnNavbarMenu.vue';
import SvnLoginCard from '../components/login/SvnLoginCard.vue';
import { Icon } from '@iconify/vue';
import SvnProfileTableCell from '@/components/profile/SvnProfileTableCell.vue';
import { provide, ref } from 'vue';
import { useTheme } from 'vuetify';
import logo from '@/stories/assets/logo_studio.svg';
import SvnStatusChip from '@/components/chip/SvnStatusChip.vue';
import SvnSwitch from '@/components/input/SvnSwitch.vue';

const date = ref(null);

const studioItems = ref([
  { title: '9:00', time: 90, dotColor: 'primary' },
  { title: '10:30', time: 90, dotColor: 'primary' },
  { title: '12:00', time: null, dotColor: 'primary' },
]);

const campaignItems = ref([
  { title: 'Set up campaign', state: null, dotColor: 'primary' },
  { title: 'Choose your setting', state: 'in_progress', dotColor: 'primary' },
  {
    title: 'Select the participant',
    state: 'not_started',
    dotColor: 'primary',
  },
]);

const menuItems = ref([
  {
    title: 'my interviews',
    to: 'eazeaz',
  },
  {
    title: 'my team interviews',
    to: 'eazeaze',
  },
  {
    title: 'my campaigns',
    to: 'eazeaz',
  },
  {
    title: 'templates',
    to: 'eazea',
  },
  {
    title: 'reports',
    to: 'ezaea',
  },
]);

const mockUsers = [
  {
    id: 0,
    avatar:
      'https://sm.ign.com/ign_fr/cover/a/avatar-gen/avatar-generations_bssq.jpg',
    firstname: 'Darell',
    lastname: 'Steward',
    fullname: 'Darell Steward',
  },
  {
    id: 1,
    avatar: null,
    firstname: 'Esther',
    lastname: 'Howard',
    fullname: 'Esther Howard',
  },
  {
    id: 2,
    avatar: null,
    firstname: 'Jenny',
    lastname: 'Wilson',
    fullname: 'Jenny Wilson',
  },
  {
    id: 3,
    avatar: null,
    firstname: 'Robert',
    lastname: 'Garcia',
    fullname: 'Robert Garcia',
  },
  {
    id: 4,
    avatar: null,
    firstname: 'Harold',
    lastname: 'Léon',
    fullname: 'Harold Léon',
  },
  {
    id: 5,
    avatar: null,
    firstname: 'William',
    lastname: 'Favreau',
    fullname: 'William Favreau',
  },
  {
    id: 6,
    avatar: null,
    firstname: 'Hammayoun',
    lastname: 'Safi',
    fullname: 'Hammayoun Safi',
  },
];

const theme = useTheme();

const status = ref(false);
</script>
